/**
 * HRRR Vert Forecast - A Weather Source API
 * Quarterhourly vertically interpolated forecast data from the HRRR model for latitude/longitude points and Onpoint IDs. Quarterhourly forecast goes out 18 hours and is available in 15 minute increments. The Weather Source HRRR Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis.    **IMPORTANT:** To authenticate to the Weather Source HRRR Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page.   
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.model


/**
 * An hourly weather HRRR forecast object.
 *
 * @param timestamp 
 * @param timestampInit 
 * @param temp 
 * @param wetBulb 
 * @param dewPt 
 * @param feelsLike 
 * @param windChill 
 * @param heatIndex 
 * @param relHum 
 * @param spcHum 
 * @param pres 
 * @param mslPres 
 * @param windSpd 
 * @param windDir 
 * @param precip 
 * @param snowfall 
 * @param snowfallKuchera 
 * @param cldCvr 
 * @param radSolar 
 * @param radSolarDirect 
 * @param cin 
 * @param cape 
 * @param hailSize 
 */
case class HrrrForecastHourObj (
  timestamp: timestamp,
  timestampInit: Option[timestampInit] = None,
  temp: Option[temp] = None,
  wetBulb: Option[wetBulb] = None,
  dewPt: Option[dewPt] = None,
  feelsLike: Option[feelsLike] = None,
  windChill: Option[windChill] = None,
  heatIndex: Option[heatIndex] = None,
  relHum: Option[relHum] = None,
  spcHum: Option[spcHum] = None,
  pres: Option[pres] = None,
  mslPres: Option[mslPres] = None,
  windSpd: Option[windSpd] = None,
  windDir: Option[windDir] = None,
  precip: Option[precip] = None,
  snowfall: Option[snowfall] = None,
  snowfallKuchera: Option[snowfallKuchera] = None,
  cldCvr: Option[cldCvr] = None,
  radSolar: Option[radSolar] = None,
  radSolarDirect: Option[radSolarDirect] = None,
  cin: Option[cin] = None,
  cape: Option[cape] = None,
  hailSize: Option[hailSize] = None
)

